Bio::Annotation::Comment(3)

NAME
Bio::Annotation::Comment - A comment object, holding text

SYNOPSIS
    $comment = Bio::Annotation::Comment->new();
    $comment->text("This is the text of this comment");
    $annotation->add_Annotation('comment', $comment);

DESCRIPTION
A holder for comments in annotations, just plain text. This is a very simple object, and justifiably so.

CONTACT
Describe contact details here

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
 Title   : new
 Usage   : $comment = Bio::Annotation::Comment->new( '-text' => 'some text for this comment');
 Function: This returns a new comment object, optionally with
           text filed
 Example :
 Returns : a Bio::Annotation::Comment object
 Args    : a hash with -text optionally set

AnnotationI implementing functions

  as_text
 Title   : as_text
 Usage   :
 Function:
 Example :
 Returns :
 Args    :

  hash_tree
 Title   : hash_tree
 Usage   :
 Function:
 Example :
 Returns :
 Args    :

  tagname
 Title   : tagname
 Usage   : $obj->tagname($newval)
 Function: Get/set the tagname for this annotation value.

           Setting this is optional. If set, it obviates the need to provide
           a tag to Bio::AnnotationCollectionI when adding this object. When
           obtaining an AnnotationI object from the collection, the collection
           will set the value to the tag under which it was stored unless the
           object has a tag stored already.
 Example :
 Returns : value of tagname (a scalar)
 Args    : new value (a scalar, optional)

Specific accessors for Comments

  text
 Title   : text
 Usage   : $value = $self->text($newval)
 Function: get/set for the text field. A comment object
           just holds a single string which is accessible through
           this method
 Example :
 Returns : value of text
 Args    : newvalue (optional)